// category.js
// Copyright (C) 2021 Digital Telepresence, LLC
// License: Apache-2.0

'use strict';

const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const CategorySchema = new Schema({
  name: { type: String },
  slug: { type: String, lowercase: true, required: true, index: 1 },
  description: { type: String },
  images: {
    header: { type: Schema.ObjectId },
    icon: { type: Schema.ObjectId },
  },
  stats: {
    articleCount: { type: Number, default: 0, required: true },
    articleViewCount: { type: Number, default: 0, required: true },
  },
});

module.exports = (conn) => {
  return conn.model('Category', CategorySchema);
};