// oauth2-authorization-code.js
// Copyright (C) 2022 DTP Technologies, LLC
// License: Apache-2.0

'use strict';

const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const OAuth2AuthorizationCodeSchema = new Schema({
  code: { type: String, required: true, index: 1 },
  client: { type: Schema.ObjectId, required: true, index: 1, ref: 'OAuth2Client' },
  redirectUri: { type: String, required: true },
  user: { type: Schema.ObjectId, required: true, index: 1, ref: 'User' },
  scopes: { type: [String], required: true },
});  

module.exports = (conn) => {
  return conn.model('OAuth2AuthorizationCode', OAuth2AuthorizationCodeSchema);
};